curl --request GET \
--url https://api.exec.com/rest/v1/scenarios/assignments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.exec.com/rest/v1/scenarios/assignments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.exec.com/rest/v1/scenarios/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "a1b2c3d4e5f6",
"user": {
"id": "u1a2b3c4d5e6",
"email": "[email protected]",
"first_name": "Jane",
"last_name": "Smith"
},
"scenario": {
"id": "s1a2b3c4d5e6",
"name": "Procurement Discovery",
"slug": "procurement-discovery"
},
"status": "completed",
"due_date": "2026-04-15T00:00:00Z",
"best_score": 88,
"best_rank": "gold",
"attempt_count": 3,
"attempt_min": 1,
"attempt_max": null,
"rank_min": "silver",
"program": null,
"created_at": "2026-03-01T10:00:00Z"
}
],
"pagination": {
"page": 1,
"page_size": 50,
"total_count": 1,
"total_pages": 1
}
}{
"error": {
"type": "invalid_request",
"code": "invalid_pagination",
"message": "Invalid pagination parameters"
}
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid or inactive API key"
}
}List scenario assignments
Returns a paginated list of scenario assignments in the workspace.
Assignments represent tasks given to users to practice specific scenarios. Each assignment tracks status (not_started, in_progress, completed, past_due, did_not_pass), best score, attempt count, and completion requirements.
Filter by user, scenario, program, or status to find specific assignments.
Authorizations
API key created in Settings > API.
Format: exec_live_ followed by 40 alphanumeric characters.
Query Parameters
Comma-separated user IDs to filter by. When combined with user_emails, results are unioned (all matching users from either list are included).
Comma-separated user email addresses to filter by. When combined with user_ids, results are unioned (all matching users from either list are included).
Comma-separated scenario IDs to filter by
Comma-separated program IDs to filter by
Filter by one or more assignment statuses
not_started, in_progress, completed, past_due, did_not_pass ["completed", "past_due"]
Page number (1-indexed)
x >= 1Number of results per page (max 100)
1 <= x <= 100